Vim Cluster Vsan Vc Stretched Cluster System Query Shared Witness Cluster Info

Vim Cluster Vsan Vc Stretched Cluster System Query Shared Witness Cluster Info
Query cluster runtime information for each cluster associated to given witness host.

Query cluster runtime information for each cluster associated to given witness host.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VimClusterVsanVcStretchedClusterSystem/{moId}/QuerySharedWitnessClusterInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VimClusterVsanVcStretchedClusterSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QuerySharedWitnessClusterInfoRequestType of type(s) application/json
Required

Show optional properties

{
    "witnessHost": {}
}
{
    "witnessHost": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "skipComponentsCount": false
}
witnessHost
Required

Witness host managed entity.

boolean
skipComponentsCount
Optional

Skip setting in the result the number of components for each cluster on the given witness host. This can fail if the host is disconnected, set to true to avoid failure and retrieve other information in the result.

Authentication
This operation uses the following authentication methods.
Responses
200

List of ClusterRuntimeInfo to present each cluster's information.

[
    {
        "_typeName": "string",
        "clusterUuid": "string",
        "totalComponentsCount": 0,
        "cluster": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    }
]
array of object
Optional

Information related to vSAN cluster that is associated with current host.

This structure may be used only with operations rendered under /vsan.


500

VsanFault: If any unexpected runtime fault is met.

NotSupported: If this API is not supported on current platform.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"witnessHost":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VimClusterVsanVcStretchedClusterSystem/{moId}/QuerySharedWitnessClusterInfo